Subject: RE: [rohc] RE: The 'b'-bit

From: "Price, Richard" <[email-masked]>
Date: Thu, 14 Mar 2002 15:26:47 -0000

Hi Jan,

There shouldn't be any need to save a state in order to pass on an
announcement (in fact some applications might ban state creation
altogether due to memory limitations but might still allow announcements
to take place). The only requirement is that the identity of the
sending endpoint MUST be verified by the application just as for a
state creation request.

The above can be accomplished by setting the state creation operands
in the END-MESSAGE instruction to 0, but using the announcement_location
operand to point to the announcement information as usual.

Regards,

Richard

> -----Original Message-----
> From: Jan Christoffersson (EPL)
> [mailto:[email-masked]]
> Sent: Thursday, March 14, 2002 3:00 PM
> To: Price, Richard; 'Dr. Carsten Bormann'; Jan Christoffersson (EPL)
> Cc: [email-masked]
> Subject: RE: [rohc] RE: The 'b'-bit
> 
> 
> 
> Richard & Carsten:
> This seems to imply that in order to pass on an announcement, 
> the decompressor must save a state? It seems to me that there 
> could be situations when the compressor is happy with the 
> states it already has saved and has no wish to save any more 
> states (perhaps because of lack of state memory) but still 
> wants to pass on announcements. Can this be handled? I guess 
> you could go around the problem by requesting to save an 
> empty state but perhaps there is a neater way to achieve this?
> 
> Regards 
> /Jan